当打开 Xcode 的时候提示 XCode loading a plug-in failed 是因为缺少了相关的依赖,这个依赖在 Mac系统的 Python 2.7 中。
出现这个问题大多数情况是个人手动删除了 Python.framework 这个文件导致的。

解决办法:

将 Python.framework 放回 /System/Library/Frameworks/ 路径下即可。这个文件可以从别的 Mac 电脑中拷贝一份。
看到许多人出现了这个问题,博主自己上传了一份,如果没有备份,可以去下载 https://github.com/2670637999/Python.framework/